Skip to content
POST /organization/{id}/billing/checkout

Path Parameters

idstring
required·

Resource id

Request Body

planstring
Possible values:
goldblack

Response Body

urlstring
curl -X POST 'https://api.elaichi.ai/organization/<id>/billing/checkout' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"plan":"gold"}'
const body = {
  "plan": "gold"
};

const response = await fetch('https://api.elaichi.ai/organization/<id>/billing/checkout', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/organization/<id>/billing/checkout"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "plan": "gold"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())